org.apache.http.conn.ssl

## Class SSLContextBuilder

- java.lang.Object
- - org.apache.http.conn.ssl.SSLContextBuilder

- Deprecated.
  (4.4) use `SSLContextBuilder`.

      @Deprecated
      public class SSLContextBuilder
      extends Object

  Builder for `SSLContext` instances.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLContextBuilder()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLContext` | `build()` Deprecated.
    `SSLContextBuilder` | `loadKeyMaterial(KeyStore keystore, char[] keyPassword)` Deprecated.
    `SSLContextBuilder` | `loadKeyMaterial(KeyStore keystore, char[] keyPassword, PrivateKeyStrategy aliasStrategy)` Deprecated.
    `SSLContextBuilder` | `loadTrustMaterial(KeyStore truststore)` Deprecated.
    `SSLContextBuilder` | `loadTrustMaterial(KeyStore truststore, TrustStrategy trustStrategy)` Deprecated.
    `SSLContextBuilder` | `setSecureRandom(SecureRandom secureRandom)` Deprecated.
    `SSLContextBuilder` | `useProtocol(String protocol)` Deprecated.
    `SSLContextBuilder` | `useSSL()` Deprecated.
    `SSLContextBuilder` | `useTLS()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLContextBuilder

          public SSLContextBuilder()

      Deprecated.

  - ### Method Detail

    - #### useTLS

          public SSLContextBuilder useTLS()

      Deprecated.

    - #### useSSL

          public SSLContextBuilder useSSL()

      Deprecated.

    - #### useProtocol

          public SSLContextBuilder useProtocol(String protocol)

      Deprecated.

    - #### setSecureRandom

          public SSLContextBuilder setSecureRandom(SecureRandom secureRandom)

      Deprecated.

    - #### loadTrustMaterial

          public SSLContextBuilder loadTrustMaterial(KeyStore truststore,
                                            TrustStrategy trustStrategy)
                                              throws NoSuchAlgorithmException,
                                                     KeyStoreException

      Deprecated.
      Throws:
        `NoSuchAlgorithmException`
        `KeyStoreException`

    - #### loadTrustMaterial

          public SSLContextBuilder loadTrustMaterial(KeyStore truststore)
                                              throws NoSuchAlgorithmException,
                                                     KeyStoreException

      Deprecated.
      Throws:
        `NoSuchAlgorithmException`
        `KeyStoreException`

    - #### loadKeyMaterial

          public SSLContextBuilder loadKeyMaterial(KeyStore keystore,
                                          char[] keyPassword)
                                            throws NoSuchAlgorithmException,
                                                   KeyStoreException,
                                                   UnrecoverableKeyException

      Deprecated.
      Throws:
        `NoSuchAlgorithmException`
        `KeyStoreException`
        `UnrecoverableKeyException`

    - #### loadKeyMaterial

          public SSLContextBuilder loadKeyMaterial(KeyStore keystore,
                                          char[] keyPassword,
                                          PrivateKeyStrategy aliasStrategy)
                                            throws NoSuchAlgorithmException,
                                                   KeyStoreException,
                                                   UnrecoverableKeyException

      Deprecated.
      Throws:
        `NoSuchAlgorithmException`
        `KeyStoreException`
        `UnrecoverableKeyException`

    - #### build

          public SSLContext build()
                           throws NoSuchAlgorithmException,
                                  KeyManagementException

      Deprecated.
      Throws:
        `NoSuchAlgorithmException`
        `KeyManagementException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.